Bug 1539091 - [3.6] Setting multiple values for OPTIONS with containerized installation fails to start node
Summary: [3.6] Setting multiple values for OPTIONS with containerized installation fai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.6.z
Assignee: Fabian von Feilitzsch
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1510358 1539094
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-26 15:48 UTC by Fabian von Feilitzsch
Modified: 2018-04-17 00:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The OPTIONS value in /etc/sysconfig/atomic-openshift-node now works properly when multiple options are specified with containerized installations.
Clone Of: 1510358
Environment:
Last Closed: 2018-04-12 06:01:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1106 None None None 2018-04-12 06:01:46 UTC

Comment 1 Fabian von Feilitzsch 2018-01-26 16:09:29 UTC
https://github.com/openshift/ose/pull/1033

Comment 3 Johnny Liu 2018-01-29 07:06:30 UTC
The PR is not merged yet, so move it back to "MODIFIED".

Comment 4 Scott Dodson 2018-02-12 15:43:29 UTC
In v3.6.173.0.103-1

Comment 5 Johnny Liu 2018-02-13 03:11:15 UTC
Verified this bug with openshift-ansible-3.6.173.0.103-1.git.0.dcf417c.el7.noarch, and PASS.


Setting openshift_node_env_vars={"OPTIONS": "--loglevel=3 --disable=proxy"} in inventory host file, trigger a docker containerized install. The setting is written into /etc/sysconfig/atomic-openshift-node.


# cat /etc/sysconfig/atomic-openshift-node
OPTIONS=--loglevel=3 --disable=proxy
CONFIG_FILE=/etc/origin/node/node-config.yaml
IMAGE_VERSION=v3.6.173.0.103


node service is running well.

BTW, once set the above option to node config file, pod would fail to be deployed.
# oc get po
NAME              READY     STATUS    RESTARTS   AGE
router-1-deploy   0/1       Error     0          29m

# oc logs router-1-deploy
error: couldn't get deployment router-1: Get https://172.31.0.1:443/api/v1/namespaces/default/replicationcontrollers/router-1: dial tcp 172.31.0.1:443: getsockopt: no route to host

Comment 9 errata-xmlrpc 2018-04-12 06:01:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1106


Note You need to log in before you can comment on or make changes to this bug.